Bug 858825 - Is -Djboss.platform.mbeanserver=true still required for EAP5 on JDK7
Is -Djboss.platform.mbeanserver=true still required for EAP5 on JDK7
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 5 (Show other bugs)
JON 3.1.1
Unspecified Unspecified
unspecified Severity low
: ---
: JON 3.2.0
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 14:23 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:35:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 20438 None None None 2012-09-19 14:23:27 EDT

  None (edit)
Description Charles Crouch 2012-09-19 14:23:02 EDT
Determine if jboss.platform.mbeanserver system property still needs to be passed inorder for JON to properly manage the JVM instance associated with the EAP5 instance.
Comment 1 Thomas Segismont 2013-06-13 11:08:53 EDT
Tested with EAP5.2 and Oracle JDK7: "-Djboss.platform.mbeanserver=true" still required.

I was expecting that as this system property only tells JBoss to use the VM MBean server instead of creating a new one to install its services. Does not look like related to JDK level.

Note You need to log in before you can comment on or make changes to this bug.